<?php
/**
 * ElkArte Ajax Chat
 *
 * @author  wintstar
 * @license BSD http://opensource.org/licenses/BSD-3-Clause
 * @license Bluimp's AJAX Chat is released under a Modified MIT License (MIT) https://raw.githubusercontent.com/Frug/AJAX-Chat/master/chat/license.txt
 *
 * @version 1.0.0
 */

function template_talkhelp()
{
	// Make sure we have all the global variables we need

	global $context, $txt;

// your content
	echo '
	<div class="mobtop">&nbsp;</div>
	<div class="container-fluid">
		<div class="row">
			<div class="col-md-6">
				<div class="row">
					<div class="panel panel-default">
					<h2 class="category_header">
						<span id="category_toggle">&nbsp;</span>
							', $txt['talkhelp_example1'], '
						</h2>
						<ul id="ext">
							<li class="column">
								<ul class="ext">
									<li><a href="#custom">', $txt['talkhelp_example27'], '</a></li>
									<li><a href="#closed">', $txt['talkhelp_example29'], '</a></li>
									<li><a href="#guest">', $txt['talkhelp_example31'], '</a></li>
									<li><a href="#channel">', $txt['talkhelp_example32'], '</a></li>
								</ul>
							</li>
						</ul>
					</div>
					<div class="panel panel-default">
					<h2 class="category_header">
						<span id="category_toggle">&nbsp;</span>
						', $txt['talkhelp_example33'], '
					</h2>
					<div class="panel-body">
						<h2><a name="custom"><h3>', $txt['talkhelp_example2'], '</h3></a></h2><br />
							<p>', $txt['talkhelp_example3'], '</p>
						<hr />
						<h2><a name="closed"><h3>', $txt['talkhelp_example4'], '</h3></a></h2><br />
								<p>', $txt['talkhelp_example5'], '</p>
								<hr />
						<h2><a name="guest"><h3>', $txt['talkhelp_example6'], '</h3></a></h2><br />
							<p>', $txt['talkhelp_example7'], '</p>
						<hr />
						<h2><a name="channel"><h3>', $txt['talkhelp_example25'], '</h3></a></h2><br />
							<p>', $txt['talkhelp_example26'], '</p>
						<hr />
						<p>', $txt['talkhelp_example15'], '</p>
					</div>
				</div>
			</div>
		</div>
		<div class="col-md-5">
			<div class="panel panel-default">
			<h2 class="category_header">
				<span id="category_toggle">&nbsp;</span>
					', $txt['talkhelp_example8'], '
			</h2>
				<ul id="ext">
					<li class="column">
						<ul class="ext">
							<li><a href="#bbcode">', $txt['talkhelp_example28'], '</a></li>
							<li><a href="#emoticon">', $txt['talkhelp_example30'], '</a></li>
						</ul>
					</li>
				</ul>
			</div>
			<div class="panel panel-default">
				<h2 class="category_header">
					<span id="category_toggle">&nbsp;</span>
						', $txt['talkhelp_example34'], '
				</h2>
				<div class="panel-body">
					<a name="bbcode"><h3>', $txt['talkhelp_example9'], '</h3></a>
						', $txt['talkhelp_example10'], '
						<table border="1">
							<tr>
								<th>', $txt['talkhelp_example11'], '</th>
							</tr>
							<tr>
								<td>', $txt['talkhelp_example12'], '</td>
							</tr>
							<tr>
								<td>', $txt['talkhelp_example13'], '</td>
							</tr>
							<tr>
								<td>', $txt['talkhelp_example14'], '</td>
							</tr>
						</table>
						<hr />
					<a name="emoticon"><h3>', $txt['talkhelp_example16'], '</h3></a>
								', $txt['talkhelp_example17'], '
								<table border="1">
								<tr>
									<th>', $txt['talkhelp_example18'], '</th>
									<th>', $txt['talkhelp_example19'], '</th>
								</tr>
								<tr>
									<td>', $txt['talkhelp_example20'], '</td>
									<td>', $txt['talkhelp_example21'], '</td>
								</tr>
								<tr>
									<td>', $txt['talkhelp_example13'], '</td>
									<td>', $txt['talkhelp_example13'], '</td>
								</tr>
								<tr>
									<td>', $txt['talkhelp_example22'], '</td>
									<td>', $txt['talkhelp_example23'], '</td>
								</tr>
								</table>
								<p>', $txt['talkhelp_example24'], '</p>
								<hr />
						<p>', $txt['talkhelp_example15'], '</p>
					</div>
				</div>
			</div>
		</div>
	</div>';
}