<?php
/**
 * ElkArte Ajax Chat
 *
 * @author  wintstar
 * @license BSD http://opensource.org/licenses/BSD-3-Clause
 * @license Bluimp's AJAX Chat is released under a Modified MIT License (MIT) https://raw.githubusercontent.com/Frug/AJAX-Chat/master/chat/license.txt
 *
 * @version 1.0.0
 */

global $text, $scripturl, $helptxt;

//Generell
$txt['talk_index']			 = 'Chat';
$txt['talk_insideMembers']	 = ' Gerade online im Chat';
$txt['talk_aMember']		 = ' Benutzer';
$txt['talk_Members']		 = ' Benutzer';
$txt['talk_no_Member']		 = 'Keine Mitglieder im Chat';
$txt['talk_shoutbox_title']	 = 'Shoutbox';


//Administator-Center
$txt['talk_help']				 = 'Hier kannst Du die Einstellungen spezieller Funktionen ändern, die im Chat integriert sind.';
$txt['talk_main_settings']		 = 'Einstellungen';
$txt['talk_aboveIndex']			 = 'Shoutbox oberhalb der Foren Kategorien aktivieren *';
$txt['talk_belowIndex']			 = 'Shoutbox unterhalb der Foren Kategorien aktivieren *';
$txt['talk_info']				 = '* jeweils nur eine Position aktivieren';
$txt['talk_chatPage']			 = 'Chat Seite aktivieren';
$txt['talk_chatEnable']			 = 'Ajax Chat Addon aktivieren';
$txt['talk_buttonInside']		 = 'Im Menü-Button die Anzahl der Benutzer anzeigen, die im Chat online sind';
$txt['talk_userInside']			 = '"Wer ist im Chat online?" aktivieren';
$txt['talk_description_main']	 = 'Hier kannst du den Chat für das Board konfigurieren. Weitere Infos zu Einstellungen findest du in den <a href="' . $scripturl . '?action=admin;area=talk;sa=info"><strong>Ajax Chat Tips</strong></a>. Im Administrator-Center unter <a href="' . $scripturl . '?action=admin;area=permissions" target="_blank"><strong>Berechtigungen</strong></a> kann individuell für jede vorhande Gruppen Zugriffsberechtigungen gesetzt werden. Moderatoren und Administratoren sind im Chat die Chat-Moderatoren und Chat-Administratoren. Moderatoren können bis auf die Nachrichten des Administrator, alle Nachrichten löschen.';
$txt['talk_description_info']	 = 'Der AJAX Chat enthält noch zwei weitere Konfigurationsdateien:<br /><strong>- root*/talk/lib/config.php</strong> = Diese Datei enthält die serverseitige (PHP) Einstellungen<br /><strong>- root*/talk/js/config.js</strong> = Diese Datei enthält die clientseitige (JavaScript) Einstellungen<br /><small>* root ist der Ordner wo sich die Datei Settings.php befindet</small>';

//Permission
$txt['permissiongroup_talk']                =	'Chat';
$txt['permissionname_talk_adminChat']       =	'Darf den Chat administrieren';
$txt['permissionhelp_talk_adminChat']       =	'Diese Berechtigung beinhaltet:<br />Nachrichten im Chat löschen<br />User im Chat verbannen';
$txt['permissionname_talk_modChat']         =	'Darf den Chat moderieren';
$txt['permissionhelp_talk_modChat']         =	'Diese Berechtigung beinhaltet:<br />Nachrichten im Chat löschen';
$txt['permissionname_talk_viewChat']        =	'Darf den Chat anschauen';
$txt['permissionhelp_talk_viewChat']        =	'Diese Berechtigung erlaubt dem Benutzer, das Senden von Nachrichten im Chat. Ohne diese Berechtigung kann er nicht auf diesen Bereich zugreifen.';
$txt['permissionname_talk_postShoutbox']    =	'Darf Nachrichten in der Shoutbox verfassen.';
$txt['permissionhelp_talk_postShoutbox']    =	'Diese Berechtigung erlaubt dem Benutzer das Senden von Mitteilungen. Benötigt "Darf den Chat anschauen".';
$txt['permissionname_talk_insideChat']      =	'Darf "Wer ist im Chat online?" anschauen';
$txt['permissionhelp_talk_insideChat']      =	'"Wer ist im Chat online?" zeigt alle Benutzer, die aktuell im Chat online sind';

//Error
$txt['cannot_talk_adminChat']		 = 'Du hast keine Administrator-Rechte.';
$txt['cannot_talk_modChat']			 = 'Du hast keine Moderator-Rechte.';
$txt['cannot_talk_viewChat']		 = 'Du besitzt nicht die nötige Berechtigung, auf den Chat zuzugreifen.';
$txt['cannot_talk_postShoutbox']	 = 'Du besitzt nicht die nötige Berechtigung, auf die Shoutbox zuzugreifen.';
$txt['cannot_talk_insideChat']		 = 'Du besitzt nicht die nötige Berechtigung, die Wer ist im Chat online-Liste anzuschauen.';
$txt['talk_off'] = 'Du kannst den Chat nicht aufrufen, weil er deaktiviert ist.';
$txt['talk_pageoff'] = 'Du kannst die Chat Seite nicht aufrufen, weil diese deaktiviert ist.';

//Help
$helptxt['talk_aboveIndex']		 = 'Aktiviert die Shoutbox oberhalb der Foren-Übersicht .';
$helptxt['talk_belowIndex']		 = 'Aktiviert die Shoutbox unterhalb der Foren-Übersicht.';
$helptxt['talk_buttonInside']	 = 'Aktiviert neben dem Menü-Button die Anzahl der Benutzer, die im Chat online sind.';
$helptxt['talk_userInside']		 = 'Aktiviert die "Wer ist online?"-Funktion, welche dem Benutzer anzeigt, wer online ist und was der Benutzer gerade macht.';
$helptxt['talk_chatPage']		 = 'Aktiviert den Chat als eigene Seite.';

//Info
$txt['talkhelp_index']		 = 'Ajax Chat Tips';
$txt['talkhelp_example1']	 = '<strong>root*/talk/lib/config.php</strong>';
$txt['talkhelp_example2']	 = '<strong>Benutzer / Mitglieder</strong>';
$txt['talkhelp_example3']	 = '<h3>Nachrichten löschen</h3>Damit registrierte Mitglieder ihre eigenen Nachrichten nicht löschen können, gebt hier false ein statt true:<br />Findet<br />// Allow/Disallow registered users to delete their own messages:<br />$config[\'allowUserMessageDelete\'] = true;<br /><br /><h3>Benutzer nach Ausloggen auf auf eine benutzerdefinierte URL umleiten</h3>Findet<br>$config[\'logoutData\'] = \'http://example.org\';<br />Gebt hier eure gewünschte Url ein.';
$txt['talkhelp_example4']	 = '<strong>Den Chat schließen</strong>';
$txt['talkhelp_example5']	 = 'Findet<br>$config[\'chatClosed\'] = false;<br />Gebt hier "true" ein. Wenn aktiviert, wird der Chat nur für den Admin zugänglich sein.<br /><br /><h3>Bestimmte Tage / Uhrzeit</h3>Findet<br />// Defines the hour of the day the chat is opened (0 - closingHour):<br />$config[\'openingHour\'] = 0;<br />// Defines the hour of the day the chat is closed (openingHour - 24):<br />$config[\'closingHour\'] = 24;<br />Gebt hier die volle Stunde ein ab welcher Uhrzeit von wann bis der Chat geöffnet sein soll. Beispiel: für 09:00-20:00 Uhr gebt 9 und 20 ein.<br />Findet<br>$config[\'openingWeekDays\'] =  array(0,1,2,3,4,5,6);<br />Definiert die Wochentage an dem der Chat geöffnet ist (0 = Sonntag bis 6 = Samstag).<br /><strong>Wenn hier Änderungen getätigt werden, wird ist die Konfiguration "$config[\'chatClosed\']" ohne Funktion!</strong>';

$txt['talkhelp_example6']	 = '<strong>Gäste Konfiguration</strong>';
$txt['talkhelp_example7']	 = 'Die Zugriffsberechtigungen für Gäste sind unter <a href="' . $scripturl . '?action=admin;area=permissions" target="_blank"><strong>Berechtigungen</strong></a> zu setzen. Mit dieser Modifikation ist diese Konfiguration ohne Funktion:<br />Findet<br>$config[\'allowGuestLogins\'] = true;<br />Sollten die Zugriffsberechtigungen für Gäste aktiviert sein, kann hier die Schreibrechte für Gäste deaktiviert werden:<br />Findet<br>$config[\'allowGuestWrite\'] = true;<br />Gebt hier false ein statt true:';
$txt['talkhelp_example8']	 = '<strong>root*/talk/js/config.js</strong>';
$txt['talkhelp_example9']	 = '<strong>BBCode Konfiguration</strong>';
$txt['talkhelp_example10']	 = '<br/>Findet<br>// Defines the settings which can be modified by users:<br/>settings: {<br />Um bestimmte BBCodes zu deaktivieren, gebt false ein statt true.<br />Eigene BBCodes können hier in der <strong>root*/talk/js/config.js</strong> nicht eingefügt werden.<br />Untere Liste ist gekürzt gegenüber der Datei.';
$txt['talkhelp_example11']	 = 'settings: {';
$txt['talkhelp_example12']	 = '// Definiert ob BBCode-Tags mit den dazugehörigen HTML-Code-Tags ersetzt werden:<br />bbCode: true,';
$txt['talkhelp_example13']	 = '...';
$txt['talkhelp_example14']	 = '// Definiert, ob Color BBCode mit der zugehörigen Color HTML-Code ersetzt wird:<br />bbCodeColors: true,';
$txt['talkhelp_example15']	 = '<strong>Nach jedem  Speichern unbedingt den Browser Cache leeren! Damit die Änderungen wirksam werden!</strong><br /><small>* root ist der Ordner wo sich die Datei Settings.php befindet</small>';
$txt['talkhelp_example16']	 = '<strong>Smilies hinzufügen</strong>';
$txt['talkhelp_example17']	 = '<br />Findet<br>// Defines the list of allowed emoticon codes:<br />emoticonCodes: [<br />&<br />// Defines the list of emoticon files associated with the emoticon codes:<br />emoticonFiles: [<br />Untere Liste ist gekürzt gegenüber der Datei.';
$txt['talkhelp_example18']	 = 'emoticonCodes: [';
$txt['talkhelp_example19']	 = 'emoticonFiles: [';
$txt['talkhelp_example20']	 = '\':)\',';
$txt['talkhelp_example21']	 = '\'smile.png\',';
$txt['talkhelp_example22']	 = '\':favorite:\'';
$txt['talkhelp_example23']	 = '\'favorite.png\'';
$txt['talkhelp_example24']	 = 'Die Smilie Bild-Datei in den Ordner <strong>root*/talk/img/emoticons/</strong> einfügen. Den Dateinamen in der Liste <em>emoticonFiles</em> und den dazu gehörigen Code-Text der Liste <em>emoticonCodes</em> eingeben.<br /><strong>Wichtig!!! </strong>Der Dateiname und der Code-Text müssen sich in den Listen in der selben Position befinden. Am jeweiligen Ende in den Listen darf am Ende des Dateinamen und des Code-Text kein Komma <strong>,</strong> gesetzt werden.<br />Seht oben in der Tabelle.';
$txt['talkhelp_example25']	 = '<strong>Räume / Flüstern</strong>';
$txt['talkhelp_example26']	 = 'Wenn der Ajax Chat als Integration genutzt wird so wie mit dieser Modifikation, können keine eigene Räume erstellt werden.<br />
Räume sind die vorhandenen Boards im Forum.<br />
Die für diese Boards zugeteilten Berechtigungen gelten auch in den Räumen. Beispiel: Wenn für Board_1 die erlaubte Mitgliedergruppe "Normale Mitglieder" zugeteilt wurde, kann  dann diese "Normale Mitglieder" auch diesen Raum betreten. Wenn Board_1 "Unregistrierte Gäste" nicht als erlaubte Gruppe zugeteilt wurde, können die Mitglieder der Gruppe "Neuling" diesen Raum nicht sehen und auch nicht betreten.<br />
Diese können aktiviert oder deaktiviert werden, dazu muss man die ID des Boards unter root/chat/lib/config.php eintragen.<br />
Finde<br />
// Default channelName used together with the defaultChannelID if no channel with this ID exists:<br />
$config[\'defaultChannelName\'] = \'Board-Chat\';<br />
// ChannelID used when no channel is given:<br />
$config[\'defaultChannelID\'] = 0;<br />
// Defines an array of channelIDs (e.g. array(0, 1)) to limit the number of available channels, will be ignored if set to null:<br />
$config[\'limitChannelList\'] = array(0, 1);<br />
Beispiel: Board_1 hat die ID = 1. in der Klammer von array (0, 1) werden die ID´s der Boards eingegeben die als Räume im Chat aktiv sein sollen.<br />
Um alle Boards als Räume anzuzeigen:<br />
Finde<br />
$config[\'limitChannelList\'] = array(0, 1);<br />
ersetzen mit<br />
$config[\'limitChannelList\'] = null;<br />
Um einen Raum als erster im Dropdown Menü anzuzeigen, gebt statt 0 die ID des Board ein:<br />
Finde<br />
$config[\'defaultChannelID\'] = 0;<br />
0 ist der Standard Raum der vom Ajax Chat vorgegeben ist. Dieser kann nicht gelöscht werden. Der Titel kann nach belieben geändert werden. Ersetzt Board-Chat mit einem beliebigen Namen.<br /><br />
<h3>Private Räume</h3>
Privater Raum ist der Benutzername eines Benutzer. Dieser kann in der root/chat/lib/config.php aktiviert oder deaktiviert werden.<br />
Finde<br />
// Enable/Disable private Channels:<br />
$config[\'allowPrivateChannels\'] = true;<br />
Zum deaktivieren  false eingeben statt true.<br /><br />
<h3>Flüstern (Private Nachrichten)</h3>
Finde<br />
// Enable/Disable private Messages:<br />
$config[\'allowPrivateMessages\'] = true;<br />
Zum deaktivieren false eingeben statt true.';
$txt['talkhelp_example27']	 = 'Benutzer';
$txt['talkhelp_example28']	 = 'BBCode';
$txt['talkhelp_example29']	 = 'Chat schließen';
$txt['talkhelp_example30']	 = 'Smilies';
$txt['talkhelp_example31']	 = 'Gäste';
$txt['talkhelp_example32']	 = 'Räume / Flüstern';
$txt['talkhelp_example33']	 = 'config.php';
$txt['talkhelp_example34']	 = 'config.js';

//Who is online
$txt['whoall_chat']	 = 'Befindet sich auf der <a href="' . $scripturl . '?action=chat">Chat Seite</a>.';